Upgrade LastPass for Internet Explorer Now

Due to updates to LastPass’ code signing certificate for Internet Explorer, LastPass must be updated using the full LastPass installer. Because running the full installer requires administrator privileges, the IT team or administrator may need to authorize the installer for LastPass Enterprise users.

Note that these changes only affect Internet Explorer, and no changes will be needed for other browsers or platforms.

If we can address any questions or concerns, please contact us.